## netrek-client-cow 3.3.0

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,11 @@
 PACKAGE=netrek-client-cow
 VERSION=$(shell ./name)
 DVERSION=$(shell head -1 debian/changelog|cut -f2 -d\(|cut -f1 -d\))
+
+DESTDIR=
+prefix=/usr/local
+LIBDIR=${prefix}/share/games/${PACKAGE}
+BINDIR=${prefix}/games
 
 all: netrek-client-cow
 
@@ -31,10 +36,9 @@
 	$(DESC) $(MAKER) $(COMMENT)
 
 newkey: mkkey
-	./mkkey $(KEYFILE) "Client Of Win" $(DESC) $(MAKER) \
-	 $(COMMENT) "inl,standard2"
+	until ./mkkey $(KEYFILE) "Client Of Win" $(DESC) $(MAKER) $(COMMENT) "inl,standard2"; do sleep 1; done
 
-mkkey: system.mk 
+mkkey: system.mk
 	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) mkkey
 
 clean:
@@ -122,9 +126,15 @@
 to_dos: system.mk
 	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) to_dos
 
-install: netrek-client-cow $(KEYFILE)
+install: netrek-client-cow
+	mkdir -p $(DESTDIR)$(BINDIR)
 	install netrek-client-cow $(DESTDIR)$(BINDIR)
+	mkdir -p $(DESTDIR)$(LIBDIR)
 	install $(KEYFILE) $(DESTDIR)$(LIBDIR)
+	mkdir -p $(DESTDIR)/usr/share/pixmaps/netrek-client-cow
+	cp -pr pixmaps/* $(DESTDIR)/usr/share/pixmaps/netrek-client-cow/
+	mkdir -p $(DESTDIR)/usr/share/applications
+	install netrek-client-cow.desktop $(DESTDIR)/usr/share/applications/
 
 package:
 	fakeroot dpkg-buildpackage -Igtk -Ipygtk -Ipyqt
