=== debian/control ===
Source: netrek-client-cow
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~), hardening-includes, libsdl1.2-dev, libsdl-mixer1.2-dev, libgmp-dev, libxt-dev, libxxf86vm-dev, libimlib2-dev
Standards-Version: 3.9.2
Homepage: http://www.netrek.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/netrek-client-cow/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/netrek-client-cow/?op=log

Package: netrek-client-cow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: client for netrek online game
 This is a client for the multi-player game of Netrek.
 .
 Netrek is probably the first video game which can accurately be
 described as a "sport".  It has more in common with basketball than
 with arcade games or Quake.  Its vast and expanding array of tactics
 and strategies allows for many different play styles; the best
 players are the ones who think fastest, not necessarily the ones who
 twitch most effectively.  It can be enjoyed as a twitch game, since
 the dogfighting system is extremely robust, but the things that
 really set Netrek apart from other video games are the team and
 strategic aspects.  Team play is dynamic and varied, with roles
 constantly changing as the game state changes.  Strategic play is
 explored in organized league games; after 6+ years of league play,
 strategies are still being invented and refined.
 .
 The game was created in 1988, and still has players, including some
 people who have been playing for nearly as long as the game has
 existed.
