## netrek-client-cow 3.3.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #  No editables below this point.                                      #
 ########################################################################
 
-include key.mk
+-include key.mk
 
 KEYGOD = clientkeys@clientkeys.netrek.org
 MAIL   = mail
@@ -12,11 +12,6 @@
 PACKAGE=netrek-client-cow
 VERSION=$(shell ./name)
 DVERSION=$(shell head -1 debian/changelog|cut -f2 -d\(|cut -f1 -d\))
-
-DESTDIR=
-prefix=/usr/local
-LIBDIR=${prefix}/share/games/${PACKAGE}
-BINDIR=${prefix}/games
 
 all: netrek-client-cow
 
@@ -47,7 +42,8 @@
 reallyclean: clean
 	rm -f netrek-client-cow randomize mkkey rsa_box*.c name mkcflags \
 	config.h system.mk config.status config.log config.cache key.mail \
-	null netrek.shared lib*
+	null netrek.shared lib* cflags.c key.cow.linux* key.mk \
+	po/Makefile po/Makefile.in
 
 distclean: clean reallyclean
 
@@ -104,7 +100,7 @@
 
 XTREKRC: system.mk
 	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) xtrekrc
-	mv xtrekrc XTREKRC	
+	mv xtrekrc XTREKRC
 
 configure: configure.in
 	rm -f configure
@@ -126,15 +122,8 @@
 to_dos: system.mk
 	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) to_dos
 
-install: netrek-client-cow
-	mkdir -p $(DESTDIR)$(BINDIR)
-	install netrek-client-cow $(DESTDIR)$(BINDIR)
-	mkdir -p $(DESTDIR)$(LIBDIR)
-	install $(KEYFILE) $(DESTDIR)$(LIBDIR)
-	mkdir -p $(DESTDIR)/usr/share/pixmaps/netrek-client-cow
-	cp -pr pixmaps/* $(DESTDIR)/usr/share/pixmaps/netrek-client-cow/
-	mkdir -p $(DESTDIR)/usr/share/applications
-	install netrek-client-cow.desktop $(DESTDIR)/usr/share/applications/
+install: system.mk
+	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) install
 
 package:
 	fakeroot dpkg-buildpackage -Igtk -Ipygtk -Ipyqt
