=== po/Makefile ===
--- 
+++ 
@@ -145,8 +145,8 @@
 
 # Ensure that the gettext macros and this Makefile.in.in are in sync.
 check-macro-version:
-	@test "$(GETTEXT_MACRO_VERSION)" = "0.17" \
-	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.17" 1>&2; \
+	@test "$(GETTEXT_MACRO_VERSION)" = "0.18" \
+	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.18" 1>&2; \
 	       exit 1; \
 	     }
