=== debian/changelog ===
netrek-client-cow (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * Thanks to gregor herrmann for the last NMU.
  * New upstream version 3.3.1. (Closes: #825869)
  * wrap-and-sort -sab.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical VCS-URI.
  * Use compat level 9.
  * Don't export the hardening flags. Just use the defaults.
  * Drop dpkg-dev from Build-Depends.
  * Drop hardening-includes build-dependency. (Closes: #836758)
  * Drop all patches except gcc5.patch which was rebased.
    Everything else was fixed upstream.
  * Export DEB_CFLAGS_MAINT_APPEND=-std=gnu89.
  * Remove chmod command in override for dh_auto_install.
  * Update d/copyright for new release.
  * Drop menu file due to CTTE decision. (Closes: #726845)

 -- Markus Koschany <apo@debian.org>  Fri, 16 Sep 2016 00:08:44 +0200

netrek-client-cow (3.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": add patches provided by Thavatchai
    Makphaibulchoke:
    - add -std=gn89 to CFLAGS in debian/rules, a work around to instruct gcc-5
      to use gnu-89 semantics for inline function declarations
    - 006-gcc5.patch: add -P to CPPFLAGS when checking for GMP 2, a work
      around for gcc-5 preprocessor started to emit line markers to properly
      distinguish whether a macro token comes from a system header
    (Closes: #778025)

 -- gregor herrmann <gregoa@debian.org>  Tue, 04 Aug 2015 16:54:47 +0200
