=== debian/control ===
--- 
+++ 
@@ -2,16 +2,27 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Barry deFreese <bdefreese@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~), hardening-includes, libsdl1.2-dev, libsdl-mixer1.2-dev, libgmp-dev, libxt-dev, libxxf86vm-dev, libimlib2-dev
-Standards-Version: 3.9.2
+Uploaders:
+ Barry deFreese <bdefreese@debian.org>
+Build-Depends:
+ autotools-dev,
+ debhelper (>= 9),
+ libgmp-dev,
+ libimlib2-dev,
+ libsdl-mixer1.2-dev,
+ libsdl1.2-dev,
+ libxt-dev,
+ libxxf86vm-dev
+Standards-Version: 3.9.8
 Homepage: http://www.netrek.org
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/netrek-client-cow/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/netrek-client-cow/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/netrek-client-cow/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/netrek-client-cow/
 
 Package: netrek-client-cow
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: client for netrek online game
  This is a client for the multi-player game of Netrek.
  .
