=== debian/changelog ===
netrek-client-cow (3.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:45 +1100

netrek-client-cow (3.3.2-1build1) noble; urgency=high

  * No change rebuild against libimlib2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:22 +0100

netrek-client-cow (3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, obsoleting all patches.
  * Drop the explicit autotools-dev configuration, and switch to
    debhelper-compat.
  * Switch to secure URLs.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 30 May 2020 08:15:21 +0200

netrek-client-cow (3.3.1-4) unstable; urgency=medium

  * Team upload.
  * Build mkkey using the build CC when cross-compiling. Closes: #924291.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Apr 2019 17:34:14 +0200

netrek-client-cow (3.3.1-3) unstable; urgency=medium

  * Team upload.
  * Fix infinite loop patch. Really (Closes: #924291)

 -- Markus Koschany <apo@debian.org>  Sun, 24 Mar 2019 13:31:40 +0100

netrek-client-cow (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Fix possible infinite loop. (Closes: #924291)
  * Move the package to salsa.debian.org.

 -- Markus Koschany <apo@debian.org>  Wed, 20 Mar 2019 21:31:57 +0100
