=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: netrek-client-cow
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper (>= 9),
- libgmp-dev,
+ debhelper-compat (= 9),
  libimlib2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
  libxt-dev,
  libxxf86vm-dev
-Standards-Version: 3.9.8
-Homepage: http://www.netrek.org
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/netrek-client-cow/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/netrek-client-cow/
+Standards-Version: 4.5.0
+Homepage: https://www.netrek.org
+Vcs-Git: https://salsa.debian.org/games-team/netrek-client-cow.git
+Vcs-Browser: https://salsa.debian.org/games-team/netrek-client-cow
+Rules-Requires-Root: no
 
 Package: netrek-client-cow
 Architecture: any
