=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_CFLAGS_MAINT_APPEND=-std=gnu89

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share/games

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
