=== debian/watch ===
version=3
https://www.netrek.org/files/COW/netrek-client-cow-([\d.]+)\.tar\.gz
